<div class="container-fluid">
  <agm-map #map id="map" [latitude]="lat" [zoom]="zoom" [longitude]="lng">
    <agm-marker [latitude]="lat" [longitude]="lng"></agm-marker>
    <agm-marker *ngFor="let marker of mapMarkers" [latitude]="marker.getPosition().lat()" [longitude]="marker.getPosition().lng()"></agm-marker>
  </agm-map>

  <form class="form" method="POST" action="" (ngSubmit)="postLocation(formSubmit)" #formSubmit="ngForm">
    <div>
      <div class="form-group">
        <label for="country">Country</label>
        <input
          type="text"
          class="form-control"
          id="country"
          placeholder="City"
        >
      </div>

      <div class="form-group">
        <label for="city">City</label>
        <input
          type="text"
          class="form-control"
          id="city"
          placeholder="City"
        >
      </div>

      <div class="form-group">
        <label for="lat">Latitude</label>
        <input
          type="text"
          class="form-control"
          id="lat"
          placeholder="Latitude"
        >
      </div>

      <div class="form-group">
        <label for="lng">Longitude</label>
        <input
          type="text"
          class="form-control"
          id="lng"
          placeholder="Longitude"
        >
      </div>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>

</div>
